Skip to main content
PATCH
/
orgs
/
{org_id}
/
pages
/
{page_ref}
Update a page
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/pages/{page_ref} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "Store overview",
  "slug": "store-overview",
  "icon": "<string>",
  "parent_id": "<string>",
  "show_in_sidebar": true,
  "archived": true
}
'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/pages/{page_ref}"

payload = {
"title": "Store overview",
"slug": "store-overview",
"icon": "<string>",
"parent_id": "<string>",
"show_in_sidebar": True,
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Store overview',
slug: 'store-overview',
icon: '<string>',
parent_id: '<string>',
show_in_sidebar: true,
archived: true
})
};

fetch('https://api.useinvent.com/orgs/{org_id}/pages/{page_ref}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "page_5Fb7…",
  "slug": "store-overview",
  "title": "Store overview",
  "icon": "<string>",
  "parent_id": "<string>",
  "position": 123,
  "show_in_sidebar": true,
  "archived": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

page_ref
string
required

Page slug or encoded page id

Body

title
string

Page title.

Required string length: 1 - 255
Example:

"Store overview"

slug
string

Friendly URL segment, unique per org.

Required string length: 1 - 64
Pattern: ^[a-z][a-z0-9-]{0,63}$
Example:

"store-overview"

icon

The emoji of a curated icon a user can pick for a table, view, field, or other entity

color
enum<string>

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
parent_id
string | null

Parent page id or slug. Reserved for nesting.

show_in_sidebar
boolean
archived
boolean

Response

200 - application/json
id
string
required
Example:

"page_5Fb7…"

slug
string
required

Friendly URL segment, unique per org.

Required string length: 1 - 64
Pattern: ^[a-z][a-z0-9-]{0,63}$
Example:

"store-overview"

title
string | null
required

Page title.

Required string length: 1 - 255
Example:

"Store overview"

icon
required

The emoji of a curated icon a user can pick for a table, view, field, or other entity

color
enum<string>
required

The name of the color to use in the UI

Available options:
red,
orange,
amber,
yellow,
lime,
green,
teal,
cyan,
sky,
blue,
indigo,
violet,
purple,
fuchsia,
pink,
rose,
neutral
parent_id
string | null
required

Parent page id. Reserved for nesting; unused by the UI.

position
integer
required

Sidebar-zone order.

show_in_sidebar
boolean
required
archived
boolean
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required